## NAME

v.db.droptable - Removes existing attribute table of a vector map.

## KEYWORDS

vector, database, attribute table

## SYNOPSIS

v.db.droptable
v.db.droptable help
v.db.droptable [-f] map=string [table=string] [layer=string] [--verbose] [--quiet]

### Flags:

-f
  Force removal (required for actual deletion of table)
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=string
  Vector map from which to remove attribute table
table=string
  Name of existing attribute table (default: vector map name)
layer=string
  Layer from which to drop linked attribute table
  Default: 1

## DESCRIPTION

v.db.droptable removes an existing attribute table from a given vector map linked at given layer. If the -f force flag is not given then nothing is removed.

## NOTES

v.db.droptable is a front-end to db.execute to allow easier usage.

The existing database connection(s) can be verified with v.db.connect.

## EXAMPLE

Removing attribute table connected to layer 1:

    g.copy vect=roadsmajor,myroads
    v.db.droptable myroads
    v.db.droptable myroads -f
    v.db.connect -p myroads

## SEE ALSO

db.addtable, db.connect, db.execute, v.db.addtable, v.db.connect, v.db.dropcol, v.db.select, v.db.update
GRASS SQL interface

## AUTHOR

Markus Neteler

Last changed: $Date: 2012-11-25 14:27:13 +0100 (ne, 25 XI 2012) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team